%define upstream_name    IPC-PubSub
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Interprocess Publish/Subscribe channels
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
This module provides a simple API for publishing messages to _channels_ and
for subscribing to them.

When a _message_ is published on a channel, all subscribers currently in
that channel will get it on their next 'get' or 'get_all' call.

Currently, it offers four backends: 'DBM_Deep' for on-disk storage,
'Memcached' for possibly multi-host storage, 'Jifty::DBI' for
database-backed storage, and 'PlainHash' for single-process storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.290.0-12.mga8
+ Revision: 1504812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.290.0-11.mga7
+ Revision: 1284309
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.290.0-10.mga7
+ Revision: 1165025
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.290.0-9.mga7
+ Revision: 1158634
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-8.mga6
+ Revision: 1028800
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.290.0-7.mga6
+ Revision: 949059
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.290.0-6.mga5
+ Revision: 788874
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 685100
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.290.0-3.mga4
+ Revision: 512348
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 368641
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 112164
- imported package perl-IPC-PubSub


* Wed Jun 22 2011 cpan2dist 0.29-1mga
- initial mageia release, generated with cpan2dist
